ALTER TABLE M_POGODBE
MODIFY KOMENTAR VARCHAR2(500 CHAR);

ALTER TABLE SECTION_QUESTION
ADD SPLIT_CAPTION VARCHAR2(1 CHAR);

ALTER TABLE SECTION_QUESTION_DEFAULT
ADD SPLIT_CAPTION VARCHAR2(1 CHAR);

UPDATE SECTION_QUESTION
SET SPLIT_CAPTION = 'Y'
WHERE SPLIT_CAPTION IS NULL AND ID_QUESTION IN (SELECT ID FROM QUESTION WHERE TYPE = 13)
AND (SELECT VREDNOST FROM S_NASTAVITVE WHERE NAZIV = 'QuestionnaireShowCheckboxLabelInSeparateRow') = 1;

DROP VIEW V_SECTION_QUESTION;

CREATE OR REPLACE VIEW V_SECTION_QUESTION AS (
	SELECT SQ.ID, SQ.ID_SECTION, SQ.ID_QUESTION, SQ.ID_QUESTIONNAIRE, SQ.SORT, SQ.INPUT_REQUIRED, SQ.VISIBLE, SQ.REDIRECT_URL, SQ.DISABLE_AFTER_INSERT, SQ.PORTAL, SQ.DISABLE_EMPTY_SELECTION, SQ.SPLIT_CAPTION,
  QS.SORT AS SECTION_SORT, Q.NAME AS QUESTIONNAIRE_NAME, Q.TYPE AS QUESTIONNAIRE_TYPE, Q.USER_LOG AS QUESTIONNAIRE_USER_LOG, 
  SC.NAME AS SECTION_NAME, QU.NAME AS QUESTION_NAME, QU.QUESTION AS QUESTION_QUESTION, QU.TYPE AS QUESTION_TYPE, QU.SOURCE_TABLE_NAME AS QUESTION_SOURCE_TABLE_NAME, QU.CONVERSION_TYPE AS QUESTION_CONVERSION_TYPE,
  QU.STRING_VALUE AS QUESTION_STRING_VALUE, QU.NUMBER_VALUE AS QUESTION_NUMBER_VALUE, QU.DATE_VALUE AS QUESTION_DATE_VALUE, QU.TAG_ID AS QUESTION_TAG_ID, QU.BUTTON_ACTION_TYPE AS QUESTION_BUTTON_ACTION_TYPE
	FROM SECTION_QUESTION SQ
  LEFT OUTER JOIN QUESTIONNAIRE Q ON Q.ID = SQ.ID_QUESTIONNAIRE
  LEFT OUTER JOIN SECTION SC ON SC.ID = SQ.ID_SECTION
  LEFT OUTER JOIN QUESTION QU ON QU.ID = SQ.ID_QUESTION
  LEFT OUTER JOIN QUESTIONNAIRE_SECTION QS ON QS.ID_QUESTIONNAIRE = Q.ID AND QS.ID_SECTION = SC.ID
);

ALTER TABLE DATOTEKE_PLOVIL
ADD EXPIRY_DATE DATE;

ALTER TABLE DATOTEKE_KUPCEV
ADD EXPIRY_DATE DATE;

DROP VIEW V_DATOTEKE_PLOVIL;

CREATE OR REPLACE VIEW V_DATOTEKE_PLOVIL AS (
SELECT D.ID_DATOTEKE_PLOVIL, D.ZAPOREDNA, D.ID, D.DOKUMENT, D.DATOTEKA, D.TIP, D.GRUPA, D.VALID, D.EXPIRY_DATE,
D.KOMENTAR, D.AVTOR, D.DATUM, D.USER_KREIRANJA, D.DATUM_KREIRANJA, D.USER_SPREMEMBE, D.DATUM_SPREMEMBE, D.STATUS, D.FILE_REFERENCE, D.NNLOCATION_ID,
N.OPIS AS NNSTOFILTER_OPIS, P.IME AS PLOVILA_IME,
NT.SIFRA AS NNTIPPRILOGE_SIFRA, NT.OPIS AS NNTIPPRILOGE_OPIS, NT.TYPE AS NNTIPPRILOGE_TYPE, D.DOCUMENTTYPE, D.ISSUER, D.DATEISSUE, CASE WHEN EXISTS (SELECT 1 FROM DATOTEKE_PLOVIL D2 WHERE D2.ID = D.ID AND D.ZAPOREDNA =
(SELECT MAX(D3.ZAPOREDNA) FROM DATOTEKE_PLOVIL D3 WHERE D3.ID = D.ID AND D3.DOCUMENTTYPE = D.DOCUMENTTYPE)) THEN 'Y' ELSE 'N' END AS LATEST_BY_DOCUMENTTYPE
FROM DATOTEKE_PLOVIL D
LEFT OUTER JOIN NNSTOFILTER N ON N.ID = D.GRUPA
LEFT OUTER JOIN NNTIPPRILOGE NT ON NT.SIFRA = D.DOCUMENTTYPE
LEFT OUTER JOIN PLOVILA P ON P.ID = D.ID
);

DROP VIEW V_DATOTEKE_KUPCEV;

CREATE OR REPLACE VIEW V_DATOTEKE_KUPCEV AS (
SELECT D.ID_DATOTEKE_KUPCEV, D.ID_KUPCA, D.VRSTA, D.DATOTEKA, D.IME_DATOTEKE, D.KONCNICA, D.KOMENTAR, D.USER_KREIRANJA, D.DATUM_KREIRANJA, D.EXPIRY_DATE,
D.USER_SPREMEMBE, D.DATUM_SPREMEMBE, D.STATUS, D.VALID, D.FILE_REFERENCE, D.ID_POGODBE, D.ISSUE_DATE, D.ID_DN, D.ID_STORITVE, D.NNLOCATION_ID,
N.OPIS AS VRSTA_OPIS, N.INTERNI_OPIS AS VRSTA_INTERNI_OPIS, K.PRIIMEK AS KUPCI_PRIIMEK, K.IME AS KUPCI_IME, K.ID_MEMBER AS KUPCI_ID_MEMBER,
(CASE WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE FILTER = 'MARINA' AND SEKCIJA = 'MARINA' AND NAZIV = 'ChangeFirstLastName') = '1' THEN (K.IME || ' ' || K.PRIIMEK) ELSE (K.PRIIMEK || ' ' || K.IME) END) AS OWNER
FROM DATOTEKE_KUPCEV D
LEFT OUTER JOIN NNDATOTEKE_KUPCEV_VRSTA N ON N.SIFRA = D.VRSTA
LEFT OUTER JOIN KUPCI K ON K.ID = D.ID_KUPCA
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1941, SYSDATE, '5.5', 1861, 'Questions and files')
;

