ALTER TABLE SC_QUESTION ADD SC_EVENT_ID INTEGER;

ALTER TABLE SC_QUESTION DROP CONSTRAINT SC_QUESTION_U1;

ALTER TABLE SC_QUESTION ADD CONSTRAINT SC_QUESTION_U1 UNIQUE (SC_QUESTIONTYPE_ID, SC_EVENT_ID, NAME);

ALTER TABLE SC_QUESTION ADD CONSTRAINT SC_QUESTION_U2 UNIQUE (SC_EVENT_ID, SC_QUESTIONTYPE_ID, NAME);

ALTER TABLE SC_QUESTION ADD CONSTRAINT SC_QUESTION_EV_FK FOREIGN KEY (SC_EVENT_ID) REFERENCES SC_EVENT(ID);

-- Application form answers
CREATE TABLE SC_EVAPPFORM_ANS (
  ID INTEGER NOT NULL,
  SC_EVENT_ID INTEGER NOT NULL,
  SC_EVENTPAR_ID INTEGER NOT NULL,
  SC_APPFORMQ_ID INTEGER NOT NULL,
  SC_QUESTIONANS_ID INTEGER,
  ANSWER VARCHAR2(3172)
);

ALTER TABLE SC_EVAPPFORM_ANS ADD CONSTRAINT SC_EVAPPFORM_ANS_FK FOREIGN KEY (SC_EVENT_ID) REFERENCES SC_EVENT(ID);

ALTER TABLE SC_EVAPPFORM_ANS ADD CONSTRAINT SC_EVAPPFORM_PAR_FK FOREIGN KEY (SC_EVENTPAR_ID) REFERENCES SC_EVENTPAR(ID);

ALTER TABLE SC_EVAPPFORM_ANS ADD CONSTRAINT SC_EVAPPFORM_ANS_Q_FK FOREIGN KEY (SC_APPFORMQ_ID) REFERENCES SC_APPFORMQ(ID);

ALTER TABLE SC_EVAPPFORM_ANS ADD CONSTRAINT SC_EVAPPFORM_ANS_ANS_FK FOREIGN KEY (SC_QUESTIONANS_ID) REFERENCES SC_QUESTIONANS(ID);

CREATE SEQUENCE SC_EVAPPFORM_ANS_SEQ START WITH 1;

-- Remove LineCount from SC_QUESTION, convert multiline questions to free text
UPDATE SC_QUESTION SET ISFREETEXT = 'T' WHERE ISFREETEXT <> 'T' AND LINECOUNT > 1;

ALTER TABLE SC_QUESTION DROP COLUMN LINECOUNT;

-- Prefilled answer
ALTER TABLE SC_QUESTION ADD AUTO_ANSWER VARCHAR2(1024);

CREATE OR REPLACE VIEW V_KUPCI AS (
	SELECT CONCAT(K.ID, '-INTERNI_OPIS') AS V_KUPCI_ID, K.ID, K.ID_MEMBER, K.IME, K.PRIIMEK, K.MESTO, K.NASLOV, K.POSTA, K.TELEFON_1, K.EMAIL, K.YACHT_CLUB_ID, NNTIT.INTERNI_OPIS AS NNTITLE_DESC, NNDRZ.INTERNI_OPIS AS NNDRZAVA_DESC, NNDOK.INTERNI_OPIS AS VRSTA_DOKUMENTA_DESC, NNVRS.INTERNI_OPIS AS VRSTA_DESC,
	NNDRZDR.INTERNI_OPIS AS DRZAVA_ROJSTVA_DESC, NNDRZCI.INTERNI_OPIS AS CITIZENSHIP_DESC, NNMAR.INTERNI_OPIS AS MARITAL_STATUS_DESC, 'INTERNI_OPIS' AS SIF_LANG
	FROM KUPCI K
	LEFT OUTER JOIN NNTITLE NNTIT ON K.NTITLE = NNTIT.SIFRA
	LEFT OUTER JOIN NNDRZAVE NNDRZ ON K.NDRZAVA = NNDRZ.SIFRA
	LEFT OUTER JOIN NNDOKUME NNDOK ON K.VRSTA_DOKUMENTA = NNDOK.SIFRA
	LEFT OUTER JOIN NNVRSKUP NNVRS ON K.VRSTA = NNVRS.SIFRA
	LEFT OUTER JOIN NNDRZAVE NNDRZDR ON K.DRZAVA_ROJSTVA = NNDRZDR.SIFRA
	LEFT OUTER JOIN NNDRZAVE NNDRZCI ON K.CITIZENSHIP = NNDRZCI.SIFRA
	LEFT OUTER JOIN NNMARSTAT NNMAR ON K.MARITAL_STATUS = NNMAR.SIFRA
	UNION ALL
	SELECT CONCAT(K.ID, '-OPIS') AS V_KUPCI_ID, K.ID, K.ID_MEMBER, K.IME, K.PRIIMEK, K.MESTO, K.NASLOV, K.POSTA, K.TELEFON_1, K.EMAIL, K.YACHT_CLUB_ID, NNTIT.OPIS AS NNTITLE_DESC, NNDRZ.OPIS AS NNDRZAVA_DESC, NNDOK.OPIS AS VRSTA_DOKUMENTA_DESC, NNVRS.OPIS AS VRSTA_DESC,
	NNDRZDR.OPIS AS DRZAVA_ROJSTVA_DESC, NNDRZCI.OPIS AS CITIZENSHIP_DESC, NNMAR.OPIS AS MARITAL_STATUS_DESC, 'OPIS' AS SIF_LANG
	FROM KUPCI K
	LEFT OUTER JOIN NNTITLE NNTIT ON K.NTITLE = NNTIT.SIFRA
	LEFT OUTER JOIN NNDRZAVE NNDRZ ON K.NDRZAVA = NNDRZ.SIFRA
	LEFT OUTER JOIN NNDOKUME NNDOK ON K.VRSTA_DOKUMENTA = NNDOK.SIFRA
	LEFT OUTER JOIN NNVRSKUP NNVRS ON K.VRSTA = NNVRS.SIFRA
	LEFT OUTER JOIN NNDRZAVE NNDRZDR ON K.DRZAVA_ROJSTVA = NNDRZDR.SIFRA
	LEFT OUTER JOIN NNDRZAVE NNDRZCI ON K.CITIZENSHIP = NNDRZCI.SIFRA
	LEFT OUTER JOIN NNMARSTAT NNMAR ON K.MARITAL_STATUS = NNMAR.SIFRA
);

CREATE OR REPLACE VIEW V_SC_KUPCI AS SELECT
  K.ID AS PARTICIPANT_ID, 
  K.ID_MEMBER AS MEMBER_ID,
  K.IME AS FIRST_NAME,
  K.PRIIMEK AS LAST_NAME,
  K.NASLOV AS ADDRESS,
  K.POSTA AS POST_NUMBER,
  K.MESTO AS CITY,
  K.TELEFON_1 AS PHONE_NUMBER,
  K.EMAIL,
  K.YACHT_CLUB_ID,
  NNTIT.INTERNI_OPIS AS TITLE,
  NNDRZ.INTERNI_OPIS AS COUNTRY,
  NNVRS.INTERNI_OPIS AS MEMBER_TYPE,
  K.INT_CODE AS HKID,
  NSL.MOBILE_PHONE
FROM KUPCI K
	LEFT OUTER JOIN NNTITLE NNTIT ON K.NTITLE = NNTIT.SIFRA
	LEFT OUTER JOIN NNDRZAVE NNDRZ ON K.NDRZAVA = NNDRZ.SIFRA
	LEFT OUTER JOIN NNDOKUME NNDOK ON K.VRSTA_DOKUMENTA = NNDOK.SIFRA
	LEFT OUTER JOIN NNVRSKUP NNVRS ON K.VRSTA = NNVRS.SIFRA
	LEFT OUTER JOIN NNDRZAVE NNDRZDR ON K.DRZAVA_ROJSTVA = NNDRZDR.SIFRA
	LEFT OUTER JOIN NNDRZAVE NNDRZCI ON K.CITIZENSHIP = NNDRZCI.SIFRA
	LEFT OUTER JOIN NNMARSTAT NNMAR ON K.MARITAL_STATUS = NNMAR.SIFRA
  LEFT OUTER JOIN V_NASLOVI NSL ON NSL.ID_KUPCA = K.ID
;

insert into verzije_baza (id, dt_vpis, verzija, ver_nr, opis) 
values 
(505, SYSDATE, '5.5', 425, 'Sailing Centre');