CREATE TABLE NNTAXPAYER (
	SIFRA VARCHAR2(2 CHAR),
	OPIS VARCHAR2(100 CHAR),
	INTERNI_OPIS VARCHAR2(100 CHAR),
	ACT VARCHAR2 (1 CHAR),
	CONSTRAINT NNTAXPAYER_PK PRIMARY KEY (SIFRA)
);
    
INSERT INTO NNTAXPAYER(SIFRA, OPIS, INTERNI_OPIS, ACT) 
VALUES ('D', 'Yes', 'Yes', 'Y');

INSERT INTO NNTAXPAYER(SIFRA, OPIS, INTERNI_OPIS, ACT) 
VALUES ('N', 'No', 'No', 'Y');

INSERT INTO NNTAXPAYER(SIFRA, OPIS, INTERNI_OPIS, ACT) 
VALUES ('M', 'Small taxpayer', 'Small taxpayer', 'Y');

INSERT INTO NNTAXPAYER(SIFRA, OPIS, INTERNI_OPIS, ACT) 
VALUES ('P', 'Payment tax', 'Payment tax', 'Y');

CREATE TABLE TAXPAYER (
	ID NUMBER NOT NULL,
	ID_LASTNIKA NUMBER NOT NULL,
    TYPE VARCHAR2(2 CHAR),
	DATE_FROM DATE,
	DATE_TO DATE,
	DATE_CREATED DATE,
	USER_CREATED VARCHAR2(30 CHAR),
	DATE_CHANGED DATE,
	USER_CHANGED VARCHAR2(30 CHAR),
    STATUS NUMBER,
    "COMMENT" VARCHAR2(250 CHAR),
	CONSTRAINT TAXPAYER_ID_LASTNIKA_FK FOREIGN KEY (ID_LASTNIKA) REFERENCES KUPCI(ID),
	CONSTRAINT TAXPAYER_PK PRIMARY KEY (ID)
);

CREATE SEQUENCE TAXPAYER_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

CREATE OR REPLACE VIEW V_TAXPAYER AS (
SELECT T.ID, T.ID_LASTNIKA, T.TYPE, T.DATE_FROM, T.DATE_TO, T.DATE_CREATED, T.USER_CREATED, T.DATE_CHANGED, T.USER_CHANGED, T.STATUS, T."COMMENT", 
TP.OPIS AS NNTAXPAYER_OPIS, TP.INTERNI_OPIS AS NNTAXPAYER_INTERNI_OPIS, K.IME AS KUPCI_IME, K.PRIIMEK AS KUPCI_PRIIMEK
FROM TAXPAYER T
LEFT OUTER JOIN NNTAXPAYER TP ON TP.SIFRA = T.TYPE
LEFT OUTER JOIN KUPCI K ON K.ID = T.ID_LASTNIKA
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (993, SYSDATE, '5.5', 913, 'Taxpayer obdobja');