CREATE TABLE RFID_DATA (
ID_RFID_DATA NUMBER NOT NULL,
TAGID VARCHAR2(100) NOT NULL,
DATE_OF_EVENT DATE NOT NULL,
DIRECTION VARCHAR2(30) NULL,
PROCESSED VARCHAR2(1) NULL,
CONSTRAINT PK_RFID_DATA PRIMARY KEY (ID_RFID_DATA)
);


CREATE INDEX IX_RFID_DATA1 ON RFID_DATA (TAGID ASC);
CREATE INDEX IX_RFID_DATA2 ON RFID_DATA (PROCESSED ASC);
CREATE INDEX IX_RFID_DATA3 ON RFID_DATA (DATE_OF_EVENT);

CREATE SEQUENCE RFID_DATA_SEQ START WITH 1 INCREMENT BY 1 MINVALUE 1 CACHE 20 NOCYCLE  NOORDER ;

CREATE TABLE RFID_DIRECTION (
ORG_TEXT VARCHAR2(30) NOT NULL,
MARINA_TEXT VARCHAR2(30) NOT NULL,
CONSTRAINT PK_RFID_DIRECTION PRIMARY KEY (ORG_TEXT)
);

INSERT INTO RFID_DIRECTION (ORG_TEXT, MARINA_TEXT) VALUES ('IN','IN');
INSERT INTO RFID_DIRECTION (ORG_TEXT, MARINA_TEXT) VALUES ('OUT','OUT');

INSERT INTO RFID_DATA (ID_RFID_DATA, TAGID, DATE_OF_EVENT, DIRECTION) VALUES (RFID_DATA_SEQ.NEXTVAL, '1234567890', SYSDATE, 'IN');

INSERT INTO RFID_DATA (ID_RFID_DATA, TAGID, DATE_OF_EVENT, DIRECTION) VALUES (RFID_DATA_SEQ.NEXTVAL, '1234567890', SYSDATE, 'OUT');